Bug 228666 - rsync --delete --relative does not delete files.
rsync --delete --relative does not delete files.
Product: Fedora
Classification: Fedora
Component: rsync (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
Depends On:
  Show dependency treegraph
Reported: 2007-02-14 05:12 EST by Morgan Nilsson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.6.9-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-16 09:25:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Morgan Nilsson 2007-02-14 05:12:31 EST
Description of problem:

rsync --delete --relative does not delete files.

Version-Release number of selected component (if applicable):

rsync 2.6.8 fixed in 2.6.9.

How reproducible:


Steps to Reproduce:
1. rsync -av --delete --numeric-ids --relative --delete-excluded
--exclude-from=exclude host:/. backup_dir/

Actual results:

excluded files are not deleted in backup_dir

Expected results:

excluded files should be deleted in backup_dir

Additional info:

Fedora Core 6 uses rsync 2.6.8. 

From http://samba.anu.edu.au/ftp/rsync/rsync-2.6.9-NEWS:

    - Fixed a recent bug where --delete was not working when transferring from
      the root (/) of the filesystem with --relative enabled.

Could please Fedora consider updating rsync to 2.6.9?

Note You need to log in before you can comment on or make changes to this bug.